PERTALIFE - Bug #2973

The duplicate key value pada doc No di PTRPURCHHEAD
08/13/2024 11:03 AM - Regina Tasya

Status: Closed Start date: 08/13/2024
Priority: Normal Due date:

Assignee: Regina Tasya % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.00 hour
Description

dear mas ajid

saat ini ketika request melalui web 3 item masih belum bisa saat di cek di async massagenya :

reg id 201592

procdata_ PTRPURCHHEAD-error on Create:Violation of PRIMARY KEY constraint 'PK_PTRPURCHHEAD'. Cannot insert duplicate
key in object 'dbo.PTRPURCHHEAD'. The duplicate key value is (00000063).

The statement has been terminated. - MinovalS.MinovaES.Business.WorkFlow

kemudian saat requst melalui mobile 2 item juga sama :
201590

procdata_ PTRPURCHHEAD-error on Create:Violation of PRIMARY KEY constraint 'PK_PTRPURCHHEAD'. Cannot insert duplicate
key in object 'dbo.PTRPURCHHEAD'. The duplicate key value is (00000062).
The statement has been terminated. - MinovalS.MinovaES.Business.WorkFlow

terimakasih

History

#1 - 09/02/2024 03:02 PM - M Azid Wahyudi

- File clipboard-202409021458-1za9k.png added
- File clipboard-202409021501-i5¢cxe.png added
- Status changed from Assigned to Revise

- Assignee changed from M Azid Wahyudi to Regina Tasya

dear tasya , untuk issue ini tolong di rapihkan dulu fieldposnya dan juga pengajuang yang sebelum2nya di hapus dulu
untuk mengtest ini jangan ngegantung soalnya bisa bentrok docNonya sedangkan di table fisiknya keynya DocNo aja

1 FileTables
= = dbo.PTRPURCHHEAD

= 3 Columns
{ DocMe (PK, varchar(20), no
B DocType (varchar(20), null)
=] DocDate (varchar{20), null)

makasih

=] DocStatus (varchar(20), nul
=] IntDocRef (varchar(30), null

#2 - 01/30/2025 03:08 PM - Regina Tasya

- Status changed from Revise to Closed
